Package ru.bitel.bgbilling.kernel.module.common.service

# Interface ModuleService

    @MTOM
    public interface ModuleService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.String>` | `componentAvailable()` |
  `void` | `componentInstall​(java.lang.String name)` |
  `void` | `componentReinstall​(int id)` |
  `void` | `componentUninstall​(java.lang.String name)` |
  `java.util.Set<java.lang.Integer>` | `contractModuleIds​(int contractId)` |
  `java.util.List<BGInstalledModule>` | `installedClientModuleList()` |
  `void` | `installedClientModulePacketGet​(java.lang.String module, javax.xml.ws.Holder<javax.activation.DataHandler> data)` |
  `java.util.List<BGInstalledModule>` | `installedModuleList()` |
  `java.util.List<BGInstalledModule>` | `installedPluginList()` |
  `int` | `moduleAdd​(java.lang.String module, java.lang.String title)` |
  `void` | `moduleDelete​(int id)` |
  `java.util.List<BGModule>` | `moduleList()` |
  `java.util.List<Service>` | `moduleServiceList​(int moduleId)` |
  `void` | `moduleUpdate​(BGModule module)` |
  `java.util.List<Service>` | `moduleUsedServiceList​(int moduleId)` |

- ## Method Details

  - ### moduleAdd

    int moduleAdd​(java.lang.String module, java.lang.String title) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### moduleUpdate

    void moduleUpdate​(BGModule module) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### moduleDelete

    void moduleDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### moduleList

    java.util.List<BGModule> moduleList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### installedModuleList

    java.util.List<BGInstalledModule> installedModuleList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### installedPluginList

    java.util.List<BGInstalledModule> installedPluginList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractModuleIds

    java.util.Set<java.lang.Integer> contractModuleIds​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### installedClientModuleList

    java.util.List<BGInstalledModule> installedClientModuleList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### installedClientModulePacketGet

    void installedClientModulePacketGet​(java.lang.String module, javax.xml.ws.Holder<javax.activation.DataHandler> data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### componentInstall

    void componentInstall​(java.lang.String name) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### componentUninstall

    void componentUninstall​(java.lang.String name) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### componentAvailable

    java.util.List<java.lang.String> componentAvailable() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### componentReinstall

    void componentReinstall​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### moduleServiceList

    java.util.List<Service> moduleServiceList​(int moduleId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### moduleUsedServiceList

    java.util.List<Service> moduleUsedServiceList​(int moduleId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`